For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a knowledge website

Update a specific website crawl entry by its ID.

put
Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
website_idstringRequired

The unique identifier of the website crawl entry

Header parameters
X-API-Versionstring · enumOptional

Meta Business Agent API version

Possible values:
Body

Updated website

urlstringRequired

The URL of the website to crawl

Example: https://example.com
Responses
200

The updated website crawl entry

application/json

A single website crawl entry

crawl_statusstringOptional

The current status of the crawl (e.g., "pending", "in_progress", "completed", "failed")

created_atintegerOptional

The timestamp when the website entry was created

idstringRequired

The unique identifier for this website crawl entry

Example: 1234567890
last_crawled_atintegerOptional

The timestamp when the website was last successfully crawled

pages_crawledintegerOptional

The number of pages successfully crawled

urlstringRequired

The URL of the website being crawled

Example: https://example.com
put/agent_config/websites/{website_id}
PUT /agent_config/websites/{website_id} HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "url": "https://example.com"
}
{
  "crawl_status": "text",
  "created_at": 1,
  "id": "1234567890",
  "last_crawled_at": 1,
  "pages_crawled": 1,
  "url": "https://example.com"
}

Last updated

Was this helpful?